文档首页 > > 开发指南> Flink应用开发> 环境准备> 开发和运行环境简介

开发和运行环境简介

分享
更新时间: 2020/06/19 GMT+08:00

在进行应用开发时,要准备的开发环境如表1所示。同时需要准备运行调测的Linux环境,用于验证应用程序运行正常。

表1 开发环境

准备项

说明

操作系统

  • 开发环境:Windows系统。
  • 运行环境:Linux系统

安装JDK

开发和运行环境的基本配置。版本要求如下:

MRS集群的服务端和客户端仅支持自带的Oracle JDK(版本为1.8),不允许替换。

对于客户应用需引用SDK类的Jar包运行在客户应用进程中的,支持Oracle JDK和IBM JDK。

  • Oracle JDK:支持1.7和1.8版本。
  • IBM JDK:推荐1.7.8.10、1.7.9.40和1.8.3.0版本。
    说明:
    • 如果开发环境使用的是JDK1.7版本,则Flink集群的运行环境可以是JDK1.7也可以是JDK1.8。
    • 如果开发环境使用的是JDK1.8版本,则Flink集群的运行环境必须是JDK1.8,否则,如果运行环境是JDK1.7,则会报JDK版本错误的信息。

安装和配置IDEA

用于开发Flink应用程序的工具。版本要求:14.1.7。

安装Scala

Scala开发环境的基本配置。版本要求:2.11.12。

安装Scala插件

Scala开发环境的基本配置。版本要求:1.5.4。

准备开发用户

参考准备开发用户章节配置。

安装客户端

参考安装客户端章节配置。

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!

非常感谢您的反馈,我们会继续努力做到更好!

反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问